Aden

Fan app

An artist's or organisation's public music, releases and shows for its branded fan app, no sign-in.

GET
/api/v1/public/fan/{kind}/{slug}

Path Parameters

kind*string

Value in

  • "organisations"
  • "teams"
slug*string
Lengthlength <= 120
curl -X GET "https://example.com/api/v1/public/fan/organisations/string"
GET
/api/v1/public/fan/{kind}/{slug}/tracks

Path Parameters

kind*string

Value in

  • "organisations"
  • "teams"
slug*string
Lengthlength <= 120

Query Parameters

status?string

Value in

  • "released"
  • "upcoming"
limit?|string
offset?|string
curl -X GET "https://example.com/api/v1/public/fan/organisations/string/tracks"
GET
/api/v1/public/fan/{kind}/{slug}/tracks/{trackId}

Path Parameters

kind*string

Value in

  • "organisations"
  • "teams"
slug*string
Lengthlength <= 120
trackId*|string
curl -X GET "https://example.com/api/v1/public/fan/organisations/string/tracks/1"
GET
/api/v1/public/fan/{kind}/{slug}/tracks/{trackId}/stream

Path Parameters

kind*string

Value in

  • "organisations"
  • "teams"
slug*string
Lengthlength <= 120
trackId*|string
curl -X GET "https://example.com/api/v1/public/fan/organisations/string/tracks/1/stream"
GET
/api/v1/public/fan/{kind}/{slug}/albums

Path Parameters

kind*string

Value in

  • "organisations"
  • "teams"
slug*string
Lengthlength <= 120

Query Parameters

limit?|string
offset?|string
curl -X GET "https://example.com/api/v1/public/fan/organisations/string/albums"
GET
/api/v1/public/fan/{kind}/{slug}/albums/{albumId}

Path Parameters

kind*string

Value in

  • "organisations"
  • "teams"
slug*string
Lengthlength <= 120
albumId*|string
curl -X GET "https://example.com/api/v1/public/fan/organisations/string/albums/1"
GET
/api/v1/public/fan/{kind}/{slug}/events

Path Parameters

kind*string

Value in

  • "organisations"
  • "teams"
slug*string
Lengthlength <= 120

Query Parameters

limit?|string
curl -X GET "https://example.com/api/v1/public/fan/organisations/string/events"
POST
/api/v1/public/fan/{kind}/{slug}/fans

Path Parameters

kind*string

Value in

  • "organisations"
  • "teams"
slug*string
Lengthlength <= 120

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/public/fan/organisations/string/fans" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
DELETE
/api/v1/public/fan/{kind}/{slug}/fans

Path Parameters

kind*string

Value in

  • "organisations"
  • "teams"
slug*string
Lengthlength <= 120

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X DELETE "https://example.com/api/v1/public/fan/organisations/string/fans" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
Was this helpful?